/*
 * Paraselene
 * Copyright (c) 2009  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene;

/**
 * Web140色定義。
 * <table>
 * <tr>
 * <td bgcolor='#000000' width='20%'><font color='#FFFFFF' size='-1'>BLACK<br>#000000</font></td>
 * <td bgcolor='#F0F8FF' width='20%'><font color='#000000' size='-1'>ALICEBLUE<br>#F0F8FF</font></td>
 * <td bgcolor='#008B8B' width='20%'><font color='#FFFFFF' size='-1'>DARKCYAN<br>#008B8B</font></td>
 * <td bgcolor='#FFFFE0' width='20%'><font color='#000000' size='-1'>LIGHTYELLOW<br>#FFFFE0</font></td>
 * <td bgcolor='#FF7F50' width='20%'><font color='#000000' size='-1'>CORAL<br>#FF7F50</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#696969' width='20%'><font color='#FFFFFF' size='-1'>DIMGRAY<br>#696969</font></td>
 * <td bgcolor='#E6E6FA' width='20%'><font color='#000000' size='-1'>LAVENDER<br>#E6E6FA</font></td>
 * <td bgcolor='#008080' width='20%'><font color='#FFFFFF' size='-1'>TEAL<br>#008080</font></td>
 * <td bgcolor='#FAFAD2' width='20%'><font color='#000000' size='-1'>LIGHTGOLDENRODYELLOW<br>#FAFAD2</font></td>
 * <td bgcolor='#FF6347' width='20%'><font color='#000000' size='-1'>TOMATO<br>#FF6347</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#808080' width='20%'><font color='#FFFFFF' size='-1'>GRAY<br>#808080</font></td>
 * <td bgcolor='#B0C4DE' width='20%'><font color='#000000' size='-1'>LIGHTSTEELBLUE<br>#B0C4DE</font></td>
 * <td bgcolor='#2F4F4F' width='20%'><font color='#FFFFFF' size='-1'>DARKSLATEGRAY<br>#2F4F4F</font></td>
 * <td bgcolor='#FFFACD' width='20%'><font color='#000000' size='-1'>LEMONCHIFFON<br>#FFFACD</font></td>
 * <td bgcolor='#FF4500' width='20%'><font color='#FFFFFF' size='-1'>ORANGERED<br>#FF4500</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#A9A9A9' width='20%'><font color='#000000' size='-1'>DARKGRAY<br>#A9A9A9</font></td>
 * <td bgcolor='#778899' width='20%'><font color='#000000' size='-1'>LIGHTSLATEGRAY<br>#778899</font></td>
 * <td bgcolor='#006400' width='20%'><font color='#FFFFFF' size='-1'>DARKGREEN<br>#006400</font></td>
 * <td bgcolor='#F5DEB3' width='20%'><font color='#000000' size='-1'>WHEAT<br>#F5DEB3</font></td>
 * <td bgcolor='#FF0000' width='20%'><font color='#FFFFFF' size='-1'>RED<br>#FF0000</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#C0C0C0' width='20%'><font color='#000000' size='-1'>SILVER<br>#C0C0C0</font></td>
 * <td bgcolor='#708090' width='20%'><font color='#FFFFFF' size='-1'>SLATEGRAY<br>#708090</font></td>
 * <td bgcolor='#008000' width='20%'><font color='#FFFFFF' size='-1'>GREEN<br>#008000</font></td>
 * <td bgcolor='#DEB887' width='20%'><font color='#000000' size='-1'>BURLYWOOD<br>#DEB887</font></td>
 * <td bgcolor='#DC143C' width='20%'><font color='#FFFFFF' size='-1'>CRIMSON<br>#DC143C</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#D3D3D3' width='20%'><font color='#000000' size='-1'>LIGHTGREY<br>#D3D3D3</font></td>
 * <td bgcolor='#4682B4' width='20%'><font color='#FFFFFF' size='-1'>STEELBLUE<br>#4682B4</font></td>
 * <td bgcolor='#228B22' width='20%'><font color='#FFFFFF' size='-1'>FORESTGREEN<br>#228B22</font></td>
 * <td bgcolor='#D2B48C' width='20%'><font color='#000000' size='-1'>TAN<br>#D2B48C</font></td>
 * <td bgcolor='#C71585' width='20%'><font color='#FFFFFF' size='-1'>MEDIUMVIOLETRED<br>#C71585</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#DCDCDC' width='20%'><font color='#000000' size='-1'>GAINSBORO<br>#DCDCDC</font></td>
 * <td bgcolor='#4169E1' width='20%'><font color='#FFFFFF' size='-1'>ROYALBLUE<br>#4169E1</font></td>
 * <td bgcolor='#2E8B57' width='20%'><font color='#FFFFFF' size='-1'>SEAGREEN<br>#2E8B57</font></td>
 * <td bgcolor='#F0E68C' width='20%'><font color='#000000' size='-1'>KHAKI<br>#F0E68C</font></td>
 * <td bgcolor='#FF1493' width='20%'><font color='#FFFFFF' size='-1'>DEEPPINK<br>#FF1493</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#F5F5F5' width='20%'><font color='#000000' size='-1'>WHITESMOKE<br>#F5F5F5</font></td>
 * <td bgcolor='#191970' width='20%'><font color='#FFFFFF' size='-1'>MIDNIGHTBLUE<br>#191970</font></td>
 * <td bgcolor='#3CB371' width='20%'><font color='#000000' size='-1'>MEDIUMSEAGREEN<br>#3CB371</font></td>
 * <td bgcolor='#FFFF00' width='20%'><font color='#000000' size='-1'>YELLOW<br>#FFFF00</font></td>
 * <td bgcolor='#FF69B4' width='20%'><font color='#000000' size='-1'>HOTPINK<br>#FF69B4</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFFFFF' width='20%'><font color='#000000' size='-1'>WHITE<br>#FFFFFF</font></td>
 * <td bgcolor='#000080' width='20%'><font color='#FFFFFF' size='-1'>NAVY<br>#000080</font></td>
 * <td bgcolor='#66CDAA' width='20%'><font color='#000000' size='-1'>MEDIUMAQUAMARINE<br>#66CDAA</font></td>
 * <td bgcolor='#FFD700' width='20%'><font color='#000000' size='-1'>GOLD<br>#FFD700</font></td>
 * <td bgcolor='#DB7093' width='20%'><font color='#000000' size='-1'>PALEVIOLETRED<br>#DB7093</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFFAFA' width='20%'><font color='#000000' size='-1'>SNOW<br>#FFFAFA</font></td>
 * <td bgcolor='#00008B' width='20%'><font color='#FFFFFF' size='-1'>DARKBLUE<br>#00008B</font></td>
 * <td bgcolor='#8FBC8F' width='20%'><font color='#000000' size='-1'>DARKSEAGREEN<br>#8FBC8F</font></td>
 * <td bgcolor='#FFA500' width='20%'><font color='#000000' size='-1'>ORANGE<br>#FFA500</font></td>
 * <td bgcolor='#FFC0CB' width='20%'><font color='#000000' size='-1'>PINK<br>#FFC0CB</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#F8F8FF' width='20%'><font color='#000000' size='-1'>GHOSTWHITE<br>#F8F8FF</font></td>
 * <td bgcolor='#0000CD' width='20%'><font color='#FFFFFF' size='-1'>MEDIUMBLUE<br>#0000CD</font></td>
 * <td bgcolor='#7FFFD4' width='20%'><font color='#000000' size='-1'>AQUAMARINE<br>#7FFFD4</font></td>
 * <td bgcolor='#F4A460' width='20%'><font color='#000000' size='-1'>SANDYBROWN<br>#F4A460</font></td>
 * <td bgcolor='#FFB6C1' width='20%'><font color='#000000' size='-1'>LIGHTPINK<br>#FFB6C1</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFFAF0' width='20%'><font color='#000000' size='-1'>FLORALWHITE<br>#FFFAF0</font></td>
 * <td bgcolor='#0000FF' width='20%'><font color='#FFFFFF' size='-1'>BLUE<br>#0000FF</font></td>
 * <td bgcolor='#98FB98' width='20%'><font color='#000000' size='-1'>PALEGREEN<br>#98FB98</font></td>
 * <td bgcolor='#FF8C00' width='20%'><font color='#000000' size='-1'>DARKORANGE<br>#FF8C00</font></td>
 * <td bgcolor='#D8BFD8' width='20%'><font color='#000000' size='-1'>THISTLE<br>#D8BFD8</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FAF0E6' width='20%'><font color='#000000' size='-1'>LINEN<br>#FAF0E6</font></td>
 * <td bgcolor='#1E90FF' width='20%'><font color='#FFFFFF' size='-1'>DODGERBLUE<br>#1E90FF</font></td>
 * <td bgcolor='#90EE90' width='20%'><font color='#000000' size='-1'>LIGHTGREEN<br>#90EE90</font></td>
 * <td bgcolor='#DAA520' width='20%'><font color='#000000' size='-1'>GOLDENROD<br>#DAA520</font></td>
 * <td bgcolor='#FF00FF' width='20%'><font color='#FFFFFF' size='-1'>MAGENTA<br>#FF00FF</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FAEBD7' width='20%'><font color='#000000' size='-1'>ANTIQUEWHITE<br>#FAEBD7</font></td>
 * <td bgcolor='#6495ED' width='20%'><font color='#000000' size='-1'>CORNFLOWERBLUE<br>#6495ED</font></td>
 * <td bgcolor='#00FF7F' width='20%'><font color='#000000' size='-1'>SPRINGGREEN<br>#00FF7F</font></td>
 * <td bgcolor='#CD853F' width='20%'><font color='#000000' size='-1'>PERU<br>#CD853F</font></td>
 * <td bgcolor='#FF00FF' width='20%'><font color='#FFFFFF' size='-1'>FUCHSIA<br>#FF00FF</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFEFD5' width='20%'><font color='#000000' size='-1'>PAPAYAWHIP<br>#FFEFD5</font></td>
 * <td bgcolor='#00BFFF' width='20%'><font color='#000000' size='-1'>DEEPSKYBLUE<br>#00BFFF</font></td>
 * <td bgcolor='#00FA9A' width='20%'><font color='#000000' size='-1'>MEDIUMSPRINGGREEN<br>#00FA9A</font></td>
 * <td bgcolor='#B8860B' width='20%'><font color='#000000' size='-1'>DARKGOLDENROD<br>#B8860B</font></td>
 * <td bgcolor='#EE82EE' width='20%'><font color='#000000' size='-1'>VIOLET<br>#EE82EE</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFEBCD' width='20%'><font color='#000000' size='-1'>BLANCHEDALMOND<br>#FFEBCD</font></td>
 * <td bgcolor='#87CEFA' width='20%'><font color='#000000' size='-1'>LIGHTSKYBLUE<br>#87CEFA</font></td>
 * <td bgcolor='#7CFC00' width='20%'><font color='#000000' size='-1'>LAWNGREEN<br>#7CFC00</font></td>
 * <td bgcolor='#D2691E' width='20%'><font color='#FFFFFF' size='-1'>CHOCOLATE<br>#D2691E</font></td>
 * <td bgcolor='#DDA0DD' width='20%'><font color='#000000' size='-1'>PLUM<br>#DDA0DD</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFE4C4' width='20%'><font color='#000000' size='-1'>BISQUE<br>#FFE4C4</font></td>
 * <td bgcolor='#87CEEB' width='20%'><font color='#000000' size='-1'>SKYBLUE<br>#87CEEB</font></td>
 * <td bgcolor='#7FFF00' width='20%'><font color='#000000' size='-1'>CHARTREUSE<br>#7FFF00</font></td>
 * <td bgcolor='#A0522D' width='20%'><font color='#FFFFFF' size='-1'>SIENNA<br>#A0522D</font></td>
 * <td bgcolor='#DA70D6' width='20%'><font color='#000000' size='-1'>ORCHID<br>#DA70D6</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFE4B5' width='20%'><font color='#000000' size='-1'>MOCCASIN<br>#FFE4B5</font></td>
 * <td bgcolor='#ADD8E6' width='20%'><font color='#000000' size='-1'>LIGHTBLUE<br>#ADD8E6</font></td>
 * <td bgcolor='#ADFF2F' width='20%'><font color='#000000' size='-1'>GREENYELLOW<br>#ADFF2F</font></td>
 * <td bgcolor='#8B4513' width='20%'><font color='#FFFFFF' size='-1'>SADDLEBROWN<br>#8B4513</font></td>
 * <td bgcolor='#BA55D3' width='20%'><font color='#000000' size='-1'>MEDIUMORCHID<br>#BA55D3</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFDEAD' width='20%'><font color='#000000' size='-1'>NAVAJOWHITE<br>#FFDEAD</font></td>
 * <td bgcolor='#B0E0E6' width='20%'><font color='#000000' size='-1'>POWDERBLUE<br>#B0E0E6</font></td>
 * <td bgcolor='#00FF00' width='20%'><font color='#000000' size='-1'>LIME<br>#00FF00</font></td>
 * <td bgcolor='#800000' width='20%'><font color='#FFFFFF' size='-1'>MAROON<br>#800000</font></td>
 * <td bgcolor='#9932CC' width='20%'><font color='#FFFFFF' size='-1'>DARKORCHID<br>#9932CC</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFDAB9' width='20%'><font color='#000000' size='-1'>PEACHPUFF<br>#FFDAB9</font></td>
 * <td bgcolor='#AFEEEE' width='20%'><font color='#000000' size='-1'>PALETURQUOISE<br>#AFEEEE</font></td>
 * <td bgcolor='#32CD32' width='20%'><font color='#000000' size='-1'>LIMEGREEN<br>#32CD32</font></td>
 * <td bgcolor='#8B0000' width='20%'><font color='#FFFFFF' size='-1'>DARKRED<br>#8B0000</font></td>
 * <td bgcolor='#9400D3' width='20%'><font color='#FFFFFF' size='-1'>DARKVIOLET<br>#9400D3</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFE4E1' width='20%'><font color='#000000' size='-1'>MISTYROSE<br>#FFE4E1</font></td>
 * <td bgcolor='#E0FFFF' width='20%'><font color='#000000' size='-1'>LIGHTCYAN<br>#E0FFFF</font></td>
 * <td bgcolor='#9ACD32' width='20%'><font color='#000000' size='-1'>YELLOWGREEN<br>#9ACD32</font></td>
 * <td bgcolor='#A52A2A' width='20%'><font color='#FFFFFF' size='-1'>BROWN<br>#A52A2A</font></td>
 * <td bgcolor='#8B008B' width='20%'><font color='#FFFFFF' size='-1'>DARKMAGENTA<br>#8B008B</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFF0F5' width='20%'><font color='#000000' size='-1'>LAVENDERBLUSH<br>#FFF0F5</font></td>
 * <td bgcolor='#00FFFF' width='20%'><font color='#000000' size='-1'>CYAN<br>#00FFFF</font></td>
 * <td bgcolor='#556B2F' width='20%'><font color='#FFFFFF' size='-1'>DARKOLIVEGREEN<br>#556B2F</font></td>
 * <td bgcolor='#B22222' width='20%'><font color='#FFFFFF' size='-1'>FIREBRICK<br>#B22222</font></td>
 * <td bgcolor='#800080' width='20%'><font color='#FFFFFF' size='-1'>PURPLE<br>#800080</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFF5EE' width='20%'><font color='#000000' size='-1'>SEASHELL<br>#FFF5EE</font></td>
 * <td bgcolor='#00FFFF' width='20%'><font color='#000000' size='-1'>AQUA<br>#00FFFF</font></td>
 * <td bgcolor='#6B8E23' width='20%'><font color='#FFFFFF' size='-1'>OLIVEDRAB<br>#6B8E23</font></td>
 * <td bgcolor='#CD5C5C' width='20%'><font color='#FFFFFF' size='-1'>INDIANRED<br>#CD5C5C</font></td>
 * <td bgcolor='#4B0082' width='20%'><font color='#FFFFFF' size='-1'>INDIGO<br>#4B0082</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FDF5E6' width='20%'><font color='#000000' size='-1'>OLDLACE<br>#FDF5E6</font></td>
 * <td bgcolor='#40E0D0' width='20%'><font color='#000000' size='-1'>TURQUOISE<br>#40E0D0</font></td>
 * <td bgcolor='#808000' width='20%'><font color='#FFFFFF' size='-1'>OLIVE<br>#808000</font></td>
 * <td bgcolor='#BC8F8F' width='20%'><font color='#000000' size='-1'>ROSYBROWN<br>#BC8F8F</font></td>
 * <td bgcolor='#483D8B' width='20%'><font color='#FFFFFF' size='-1'>DARKSLATEBLUE<br>#483D8B</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#FFFFF0' width='20%'><font color='#000000' size='-1'>IVORY<br>#FFFFF0</font></td>
 * <td bgcolor='#48D1CC' width='20%'><font color='#000000' size='-1'>MEDIUMTURQUOISE<br>#48D1CC</font></td>
 * <td bgcolor='#BDB76B' width='20%'><font color='#000000' size='-1'>DARKKHAKI<br>#BDB76B</font></td>
 * <td bgcolor='#E9967A' width='20%'><font color='#000000' size='-1'>DARKSALMON<br>#E9967A</font></td>
 * <td bgcolor='#8A2BE2' width='20%'><font color='#FFFFFF' size='-1'>BLUEVIOLET<br>#8A2BE2</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#F0FFF0' width='20%'><font color='#000000' size='-1'>HONEYDEW<br>#F0FFF0</font></td>
 * <td bgcolor='#00CED1' width='20%'><font color='#000000' size='-1'>DARKTURQUOISE<br>#00CED1</font></td>
 * <td bgcolor='#EEE8AA' width='20%'><font color='#000000' size='-1'>PALEGOLDENROD<br>#EEE8AA</font></td>
 * <td bgcolor='#F08080' width='20%'><font color='#000000' size='-1'>LIGHTCORAL<br>#F08080</font></td>
 * <td bgcolor='#9370DB' width='20%'><font color='#000000' size='-1'>MEDIUMPURPLE<br>#9370DB</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#F5FFFA' width='20%'><font color='#000000' size='-1'>MINTCREAM<br>#F5FFFA</font></td>
 * <td bgcolor='#20B2AA' width='20%'><font color='#000000' size='-1'>LIGHTSEAGREEN<br>#20B2AA</font></td>
 * <td bgcolor='#FFF8DC' width='20%'><font color='#000000' size='-1'>CORNSILK<br>#FFF8DC</font></td>
 * <td bgcolor='#FA8072' width='20%'><font color='#000000' size='-1'>SALMON<br>#FA8072</font></td>
 * <td bgcolor='#6A5ACD' width='20%'><font color='#FFFFFF' size='-1'>SLATEBLUE<br>#6A5ACD</font></td>
 * </tr>
 * <tr>
 * <td bgcolor='#F0FFFF' width='20%'><font color='#000000' size='-1'>AZURE<br>#F0FFFF</font></td>
 * <td bgcolor='#5F9EA0' width='20%'><font color='#000000' size='-1'>CADETBLUE<br>#5F9EA0</font></td>
 * <td bgcolor='#F5F5DC' width='20%'><font color='#000000' size='-1'>BEIGE<br>#F5F5DC</font></td>
 * <td bgcolor='#FFA07A' width='20%'><font color='#000000' size='-1'>LIGHTSALMON<br>#FFA07A</font></td>
 * <td bgcolor='#7B68EE' width='20%'><font color='#FFFFFF' size='-1'>MEDIUMSLATEBLUE<br>#7B68EE</font></td>
 * </tr>
 * </table>
 */
public enum WebColor implements Valuable {
	/**
	 * BLACK
	 */
	BLACK( 0x00, 0x00, 0x00 ),
	/**
	 * ALICEBLUE
	 */
	ALICEBLUE( 0xf0, 0xf8, 0xff ),
	/**
	 * DARKCYAN
	 */
	DARKCYAN( 0x00, 0x8b, 0x8b ),
	/**
	 * LIGHTYELLOW
	 */
	LIGHTYELLOW( 0xff, 0xff, 0xe0 ),
	/**
	 * CORAL
	 */
	CORAL( 0xff, 0x7f, 0x50 ),
	/**
	 * DIMGRAY
	 */
	DIMGRAY( 0x69, 0x69, 0x69 ),
	/**
	 * LAVENDER
	 */
	LAVENDER( 0xe6, 0xe6, 0xfa ),
	/**
	 * TEAL
	 */
	TEAL( 0x00, 0x80, 0x80 ),
	/**
	 * LIGHTGOLDENRODYELLOW
	 */
	LIGHTGOLDENRODYELLOW( 0xfa, 0xfa, 0xd2 ),
	/**
	 * TOMATO
	 */
	TOMATO( 0xff, 0x63, 0x47 ),
	/**
	 * GRAY
	 */
	GRAY( 0x80, 0x80, 0x80 ),
	/**
	 * LIGHTSTEELBLUE
	 */
	LIGHTSTEELBLUE( 0xb0, 0xc4, 0xde ),
	/**
	 * DARKSLATEGRAY
	 */
	DARKSLATEGRAY( 0x2f, 0x4f, 0x4f ),
	/**
	 * LEMONCHIFFON
	 */
	LEMONCHIFFON( 0xff, 0xfa, 0xcd ),
	/**
	 * ORANGERED
	 */
	ORANGERED( 0xff, 0x45, 0x00 ),
	/**
	 * DARKGRAY
	 */
	DARKGRAY( 0xa9, 0xa9, 0xa9 ),
	/**
	 * LIGHTSLATEGRAY
	 */
	LIGHTSLATEGRAY( 0x77, 0x88, 0x99 ),
	/**
	 * DARKGREEN
	 */
	DARKGREEN( 0x00, 0x64, 0x00 ),
	/**
	 * WHEAT
	 */
	WHEAT( 0xf5, 0xde, 0xb3 ),
	/**
	 * RED
	 */
	RED( 0xff, 0x00, 0x00 ),
	/**
	 * SILVER
	 */
	SILVER( 0xc0, 0xc0, 0xc0 ),
	/**
	 * SLATEGRAY
	 */
	SLATEGRAY( 0x70, 0x80, 0x90 ),
	/**
	 * GREEN
	 */
	GREEN( 0x00, 0x80, 0x00 ),
	/**
	 * BURLYWOOD
	 */
	BURLYWOOD( 0xde, 0xb8, 0x87 ),
	/**
	 * CRIMSON
	 */
	CRIMSON( 0xdc, 0x14, 0x3c ),
	/**
	 * LIGHTGREY
	 */
	LIGHTGREY( 0xd3, 0xd3, 0xd3 ),
	/**
	 * STEELBLUE
	 */
	STEELBLUE( 0x46, 0x82, 0xb4 ),
	/**
	 * FORESTGREEN
	 */
	FORESTGREEN( 0x22, 0x8b, 0x22 ),
	/**
	 * TAN
	 */
	TAN( 0xd2, 0xb4, 0x8c ),
	/**
	 * MEDIUMVIOLETRED
	 */
	MEDIUMVIOLETRED( 0xc7, 0x15, 0x85 ),
	/**
	 * GAINSBORO
	 */
	GAINSBORO( 0xdc, 0xdc, 0xdc ),
	/**
	 * ROYALBLUE
	 */
	ROYALBLUE( 0x41, 0x69, 0xe1 ),
	/**
	 * SEAGREEN
	 */
	SEAGREEN( 0x2e, 0x8b, 0x57 ),
	/**
	 * KHAKI
	 */
	KHAKI( 0xf0, 0xe6, 0x8c ),
	/**
	 * DEEPPINK
	 */
	DEEPPINK( 0xff, 0x14, 0x93 ),
	/**
	 * WHITESMOKE
	 */
	WHITESMOKE( 0xf5, 0xf5, 0xf5 ),
	/**
	 * MIDNIGHTBLUE
	 */
	MIDNIGHTBLUE( 0x19, 0x19, 0x70 ),
	/**
	 * MEDIUMSEAGREEN
	 */
	MEDIUMSEAGREEN( 0x3c, 0xb3, 0x71 ),
	/**
	 * YELLOW
	 */
	YELLOW( 0xff, 0xff, 0x00 ),
	/**
	 * HOTPINK
	 */
	HOTPINK( 0xff, 0x69, 0xb4 ),
	/**
	 * WHITE
	 */
	WHITE( 0xff, 0xff, 0xff ),
	/**
	 * NAVY
	 */
	NAVY( 0x00, 0x00, 0x80 ),
	/**
	 * MEDIUMAQUAMARINE
	 */
	MEDIUMAQUAMARINE( 0x66, 0xcd, 0xaa ),
	/**
	 * GOLD
	 */
	GOLD( 0xff, 0xd7, 0x00 ),
	/**
	 * PALEVIOLETRED
	 */
	PALEVIOLETRED( 0xdb, 0x70, 0x93 ),
	/**
	 * SNOW
	 */
	SNOW( 0xff, 0xfa, 0xfa ),
	/**
	 * DARKBLUE
	 */
	DARKBLUE( 0x00, 0x00, 0x8b ),
	/**
	 * DARKSEAGREEN
	 */
	DARKSEAGREEN( 0x8f, 0xbc, 0x8f ),
	/**
	 * ORANGE
	 */
	ORANGE( 0xff, 0xa5, 0x00 ),
	/**
	 * PINK
	 */
	PINK( 0xff, 0xc0, 0xcb ),
	/**
	 * GHOSTWHITE
	 */
	GHOSTWHITE( 0xf8, 0xf8, 0xff ),
	/**
	 * MEDIUMBLUE
	 */
	MEDIUMBLUE( 0x00, 0x00, 0xcd ),
	/**
	 * AQUAMARINE
	 */
	AQUAMARINE( 0x7f, 0xff, 0xd4 ),
	/**
	 * SANDYBROWN
	 */
	SANDYBROWN( 0xf4, 0xa4, 0x60 ),
	/**
	 * LIGHTPINK
	 */
	LIGHTPINK( 0xff, 0xb6, 0xc1 ),
	/**
	 * FLORALWHITE
	 */
	FLORALWHITE( 0xff, 0xfa, 0xf0 ),
	/**
	 * BLUE
	 */
	BLUE( 0x00, 0x00, 0xff ),
	/**
	 * PALEGREEN
	 */
	PALEGREEN( 0x98, 0xfb, 0x98 ),
	/**
	 * DARKORANGE
	 */
	DARKORANGE( 0xff, 0x8c, 0x00 ),
	/**
	 * THISTLE
	 */
	THISTLE( 0xd8, 0xbf, 0xd8 ),
	/**
	 * LINEN
	 */
	LINEN( 0xfa, 0xf0, 0xe6 ),
	/**
	 * DODGERBLUE
	 */
	DODGERBLUE( 0x1e, 0x90, 0xff ),
	/**
	 * LIGHTGREEN
	 */
	LIGHTGREEN( 0x90, 0xee, 0x90 ),
	/**
	 * GOLDENROD
	 */
	GOLDENROD( 0xda, 0xa5, 0x20 ),
	/**
	 * MAGENTA
	 */
	MAGENTA( 0xff, 0x00, 0xff ),
	/**
	 * ANTIQUEWHITE
	 */
	ANTIQUEWHITE( 0xfa, 0xeb, 0xd7 ),
	/**
	 * CORNFLOWERBLUE
	 */
	CORNFLOWERBLUE( 0x64, 0x95, 0xed ),
	/**
	 * SPRINGGREEN
	 */
	SPRINGGREEN( 0x00, 0xff, 0x7f ),
	/**
	 * PERU
	 */
	PERU( 0xcd, 0x85, 0x3f ),
	/**
	 * FUCHSIA
	 */
	FUCHSIA( 0xff, 0x00, 0xff ),
	/**
	 * PAPAYAWHIP
	 */
	PAPAYAWHIP( 0xff, 0xef, 0xd5 ),
	/**
	 * DEEPSKYBLUE
	 */
	DEEPSKYBLUE( 0x00, 0xbf, 0xff ),
	/**
	 * MEDIUMSPRINGGREEN
	 */
	MEDIUMSPRINGGREEN( 0x00, 0xfa, 0x9a ),
	/**
	 * DARKGOLDENROD
	 */
	DARKGOLDENROD( 0xb8, 0x86, 0x0b ),
	/**
	 * VIOLET
	 */
	VIOLET( 0xee, 0x82, 0xee ),
	/**
	 * BLANCHEDALMOND
	 */
	BLANCHEDALMOND( 0xff, 0xeb, 0xcd ),
	/**
	 * LIGHTSKYBLUE
	 */
	LIGHTSKYBLUE( 0x87, 0xce, 0xfa ),
	/**
	 * LAWNGREEN
	 */
	LAWNGREEN( 0x7c, 0xfc, 0x00 ),
	/**
	 * CHOCOLATE
	 */
	CHOCOLATE( 0xd2, 0x69, 0x1e ),
	/**
	 * PLUM
	 */
	PLUM( 0xdd, 0xa0, 0xdd ),
	/**
	 * BISQUE
	 */
	BISQUE( 0xff, 0xe4, 0xc4 ),
	/**
	 * SKYBLUE
	 */
	SKYBLUE( 0x87, 0xce, 0xeb ),
	/**
	 * CHARTREUSE
	 */
	CHARTREUSE( 0x7f, 0xff, 0x00 ),
	/**
	 * SIENNA
	 */
	SIENNA( 0xa0, 0x52, 0x2d ),
	/**
	 * ORCHID
	 */
	ORCHID( 0xda, 0x70, 0xd6 ),
	/**
	 * MOCCASIN
	 */
	MOCCASIN( 0xff, 0xe4, 0xb5 ),
	/**
	 * LIGHTBLUE
	 */
	LIGHTBLUE( 0xad, 0xd8, 0xe6 ),
	/**
	 * GREENYELLOW
	 */
	GREENYELLOW( 0xad, 0xff, 0x2f ),
	/**
	 * SADDLEBROWN
	 */
	SADDLEBROWN( 0x8b, 0x45, 0x13 ),
	/**
	 * MEDIUMORCHID
	 */
	MEDIUMORCHID( 0xba, 0x55, 0xd3 ),
	/**
	 * NAVAJOWHITE
	 */
	NAVAJOWHITE( 0xff, 0xde, 0xad ),
	/**
	 * POWDERBLUE
	 */
	POWDERBLUE( 0xb0, 0xe0, 0xe6 ),
	/**
	 * LIME
	 */
	LIME( 0x00, 0xff, 0x00 ),
	/**
	 * MAROON
	 */
	MAROON( 0x80, 0x00, 0x00 ),
	/**
	 * DARKORCHID
	 */
	DARKORCHID( 0x99, 0x32, 0xcc ),
	/**
	 * PEACHPUFF
	 */
	PEACHPUFF( 0xff, 0xda, 0xb9 ),
	/**
	 * PALETURQUOISE
	 */
	PALETURQUOISE( 0xaf, 0xee, 0xee ),
	/**
	 * LIMEGREEN
	 */
	LIMEGREEN( 0x32, 0xcd, 0x32 ),
	/**
	 * DARKRED
	 */
	DARKRED( 0x8b, 0x00, 0x00 ),
	/**
	 * DARKVIOLET
	 */
	DARKVIOLET( 0x94, 0x00, 0xd3 ),
	/**
	 * MISTYROSE
	 */
	MISTYROSE( 0xff, 0xe4, 0xe1 ),
	/**
	 * LIGHTCYAN
	 */
	LIGHTCYAN( 0xe0, 0xff, 0xff ),
	/**
	 * YELLOWGREEN
	 */
	YELLOWGREEN( 0x9a, 0xcd, 0x32 ),
	/**
	 * BROWN
	 */
	BROWN( 0xa5, 0x2a, 0x2a ),
	/**
	 * DARKMAGENTA
	 */
	DARKMAGENTA( 0x8b, 0x00, 0x8b ),
	/**
	 * LAVENDERBLUSH
	 */
	LAVENDERBLUSH( 0xff, 0xf0, 0xf5 ),
	/**
	 * CYAN
	 */
	CYAN( 0x00, 0xff, 0xff ),
	/**
	 * DARKOLIVEGREEN
	 */
	DARKOLIVEGREEN( 0x55, 0x6b, 0x2f ),
	/**
	 * FIREBRICK
	 */
	FIREBRICK( 0xb2, 0x22, 0x22 ),
	/**
	 * PURPLE
	 */
	PURPLE( 0x80, 0x00, 0x80 ),
	/**
	 * SEASHELL
	 */
	SEASHELL( 0xff, 0xf5, 0xee ),
	/**
	 * AQUA
	 */
	AQUA( 0x00, 0xff, 0xff ),
	/**
	 * OLIVEDRAB
	 */
	OLIVEDRAB( 0x6b, 0x8e, 0x23 ),
	/**
	 * INDIANRED
	 */
	INDIANRED( 0xcd, 0x5c, 0x5c ),
	/**
	 * INDIGO
	 */
	INDIGO( 0x4b, 0x00, 0x82 ),
	/**
	 * OLDLACE
	 */
	OLDLACE( 0xfd, 0xf5, 0xe6 ),
	/**
	 * TURQUOISE
	 */
	TURQUOISE( 0x40, 0xe0, 0xd0 ),
	/**
	 * OLIVE
	 */
	OLIVE( 0x80, 0x80, 0x00 ),
	/**
	 * ROSYBROWN
	 */
	ROSYBROWN( 0xbc, 0x8f, 0x8f ),
	/**
	 * DARKSLATEBLUE
	 */
	DARKSLATEBLUE( 0x48, 0x3d, 0x8b ),
	/**
	 * IVORY
	 */
	IVORY( 0xff, 0xff, 0xf0 ),
	/**
	 * MEDIUMTURQUOISE
	 */
	MEDIUMTURQUOISE( 0x48, 0xd1, 0xcc ),
	/**
	 * DARKKHAKI
	 */
	DARKKHAKI( 0xbd, 0xb7, 0x6b ),
	/**
	 * DARKSALMON
	 */
	DARKSALMON( 0xe9, 0x96, 0x7a ),
	/**
	 * BLUEVIOLET
	 */
	BLUEVIOLET( 0x8a, 0x2b, 0xe2 ),
	/**
	 * HONEYDEW
	 */
	HONEYDEW( 0xf0, 0xff, 0xf0 ),
	/**
	 * DARKTURQUOISE
	 */
	DARKTURQUOISE( 0x00, 0xce, 0xd1 ),
	/**
	 * PALEGOLDENROD
	 */
	PALEGOLDENROD( 0xee, 0xe8, 0xaa ),
	/**
	 * LIGHTCORAL
	 */
	LIGHTCORAL( 0xf0, 0x80, 0x80 ),
	/**
	 * MEDIUMPURPLE
	 */
	MEDIUMPURPLE( 0x93, 0x70, 0xdb ),
	/**
	 * MINTCREAM
	 */
	MINTCREAM( 0xf5, 0xff, 0xfa ),
	/**
	 * LIGHTSEAGREEN
	 */
	LIGHTSEAGREEN( 0x20, 0xb2, 0xaa ),
	/**
	 * CORNSILK
	 */
	CORNSILK( 0xff, 0xf8, 0xdc ),
	/**
	 * SALMON
	 */
	SALMON( 0xfa, 0x80, 0x72 ),
	/**
	 * SLATEBLUE
	 */
	SLATEBLUE( 0x6a, 0x5a, 0xcd ),
	/**
	 * AZURE
	 */
	AZURE( 0xf0, 0xff, 0xff ),
	/**
	 * CADETBLUE
	 */
	CADETBLUE( 0x5f, 0x9e, 0xa0 ),
	/**
	 * BEIGE
	 */
	BEIGE( 0xf5, 0xf5, 0xdc ),
	/**
	 * LIGHTSALMON
	 */
	LIGHTSALMON( 0xff, 0xa0, 0x7a ),
	/**
	 * MEDIUMSLATEBLUE
	 */
	MEDIUMSLATEBLUE( 0x7b, 0x68, 0xee ),
	/**
	 * TRANSPARENT
	 */
	TRANSPARENT( 0xffffffff, 0xffffffff, 0xffffffff );
	private static final long serialVersionUID = 1256633643566L;
	int red, green, blue;
	private WebColor( int r, int g, int b ) {
		red = r;green = g;blue= b;
	}
}